Skip to main content
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Attendance
/
{volunteerAttendanceId}
Get Volunteer Attendance
curl --request GET \
  --url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "volunteerAttendanceUrl": "<string>",
  "volunteerId": "<integer>",
  "volunteerUrl": "<string>",
  "volunteerOpportunityId": "<integer>",
  "volunteerOpportunityUrl": "<string>",
  "hours": "<double>",
  "startDateTimeUtc": "<dateTime>",
  "startDateTime": "<dateTime>",
  "endDateTimeUtc": "<dateTime>",
  "endDateTime": "<dateTime>",
  "timeZone": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

volunteerAttendanceId
string
required

(Required) The volunteer attendance identifier.

volunteerOpportunityId
string
required

(Required)

Response

OK

id
string
volunteerAttendanceUrl
string
volunteerId
string
volunteerUrl
string
volunteerOpportunityId
string
volunteerOpportunityUrl
string
hours
string
startDateTimeUtc
string
startDateTime
string
endDateTimeUtc
string
endDateTime
string
timeZone
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
Last modified on June 5, 2026